=== FL/wscript ===
#!/usr/bin/env python

def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    bld.stlib(
        source = 
'''
About_Dialog.fl
Fl_Menu_Settings.C
Fl_Scalepack.C
Fl_Text_Edit_Window.fl
Fl_Value_SliderX.C
Fl_DialX.C
Fl_SliderX.C
New_Project_Dialog.fl
event_name.C
menu_popup.C
test_press.C
focus_frame.C
''',
        includes = '.',
        export_incdirs = [ '.' 'FL' ],
        uselib = 'PTHREAD NTK',
        target = 'fl_widgets')
